<div>
  <h2 data-cy="BoughtItemHeading" id="page-heading">
    <span jhiTranslate="realTimeBeveragesApp.boughtItem.home.title">Bought Items</span>

    <div class="d-flex justify-content-end">
      <mat-form-field style="margin-right: 30px">
        <mat-label jhiTranslate="realTimeBeveragesApp.boughtItem.dateRange">Enter a date range</mat-label>
        <mat-date-range-input [rangePicker]="picker">
          <input [formControl]="controls.fromDate" matStartDate placeholder="Start date" />
          <input [formControl]="controls.untilDate" matEndDate placeholder="End date" />
        </mat-date-range-input>
        <mat-hint>MM/DD/YYYY – MM/DD/YYYY</mat-hint>
        <mat-datepicker-toggle [for]="picker" matIconSuffix></mat-datepicker-toggle>
        <mat-date-range-picker #picker></mat-date-range-picker>
      </mat-form-field>

      <mat-form-field style="margin-right: 30px; min-width: 400px">
        <mat-label jhiTranslate="realTimeBeveragesApp.boughtItem.selectUser">Hier können Sie nach Nutzern filtern </mat-label>
        <mat-select [formControl]="controls.userID" multiple>
          @for (user of getUsers(); track $index) {
            <mat-option [value]="user.id">{{ user.firstName + ' ' + user.lastName }}</mat-option>
          }
        </mat-select>
      </mat-form-field>

      <button (click)="load()" [disabled]="isLoading" class="btn btn-info me-2">
        <fa-icon [animation]="isLoading ? 'spin' : undefined" icon="sync"></fa-icon>
        <span jhiTranslate="realTimeBeveragesApp.boughtItem.home.refreshListLabel">Liste aktualisieren</span>
      </button>

      <button
        [routerLink]="['/bought-item/new']"
        class="btn btn-primary jh-create-entity create-bought-item"
        data-cy="entityCreateButton"
        id="jh-create-entity"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="realTimeBeveragesApp.boughtItem.home.createLabel">Bought Item erstellen</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (boughtItems()?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span jhiTranslate="realTimeBeveragesApp.boughtItem.home.notFound">Keine Bought Items gefunden</span>
    </div>
  }

  @if (boughtItems() && boughtItems()!.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [sortState]="sortState" (sortChange)="navigateToWithComponentValues($event)">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span jhiTranslate="global.field.id">ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="name">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.name">Name</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="price">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.price">Price</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="boughtTime">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.boughtTime">Bought Time</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="billingTime">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.billingTime">Billing Time</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="paidTime">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.paidTime">Paid Time</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="amount">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.amount">Amount</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="offer.id">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.offer">Offer</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="buyer.id">
              <div class="d-flex">
                <span jhiTranslate="realTimeBeveragesApp.boughtItem.buyer">Buyer</span>
                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (boughtItem of boughtItems(); track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/bought-item', boughtItem.id, 'view']">{{ boughtItem.id }}</a>
              </td>
              <td>{{ boughtItem.name }}</td>
              <td>{{ boughtItem.price }}</td>
              <td>{{ boughtItem.boughtTime | formatMediumDatetime }}</td>
              <td>{{ boughtItem.billingTime | formatMediumDatetime }}</td>
              <td>{{ boughtItem.paidTime | formatMediumDatetime }}</td>
              <td>{{ boughtItem.amount }}</td>
              <td>
                @if (boughtItem.offer) {
                  <div>
                    <a [routerLink]="['/offered-item', boughtItem.offer.id, 'view']">{{ boughtItem.offer.id }}</a>
                  </div>
                }
              </td>
              <td>
                {{ getUserName(boughtItem.buyer?.id) }}
              </td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/bought-item', boughtItem.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Details</span>
                  </a>

                  <a [routerLink]="['/bought-item', boughtItem.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Bearbeiten</span>
                  </a>

                  <button type="submit" (click)="delete(boughtItem)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Löschen</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
</div>
